<script setup lang="ts">
import { type Product, getImageUrl } from '@/types/Product'

defineProps<{ product: Product }>()
const emit = defineEmits<{
  selectedProduct: [product: Product]
}>()
</script>
<template>
  <v-sheet width="265" height="265" elevation="3" @click.stop="
      () => {
        emit('selectedProduct', product)
      }
    " color="#494949">
    <v-img :src="getImageUrl(product)" height="215" cover></v-img>
    <div style="text-align: center">{{ product.name }}</div>
    <div style="text-align: center">{{ product.price }} Baht</div>
  </v-sheet>
</template>
